package com.ematou.wxbase.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * E证通 token 记录
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/16 16:20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class EidTokenRecord {

    private String id;// 主键
    private String merchSn;// 商户编号
    private String appCode;// 应用编码
    private String token;// token
    private LocalDateTime generationTime;// 生成时间
    private LocalDateTime expireTime;// 过期时间
    private String idCard;// 身份证
    private String userName;// 用户姓名
    private Timestamp tstm;// 时间戳

}
