package com.ematou.wxbase.service.impl;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.entity.MerchInfo;
import com.ematou.wxbase.mapper.MerchInfoMapper;
import com.ematou.wxbase.service.MerchInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * [类描述]
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/17 15:13
 */
@Service
public class MerchInfoServiceImpl implements MerchInfoService {

    @Resource
    private MerchInfoMapper merchInfoMapper;

    /**
     * 插入商户信息
     *
     * @param merchInfo
     * @return
     */
    @Override
    public R insert(MerchInfo merchInfo) {
        int insert = merchInfoMapper.insert(merchInfo);

        if (insert > 0)
            return R.success(null);
        else
            return R.error("新增商户信息失败");

    }

}
