package com.ematou.wxbase.mapper;

import com.ematou.wxbase.entity.EidMerch;
import org.apache.ibatis.annotations.Mapper;

/**
 * E证通商户 Mapper
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/19 11:18
 */
@Mapper
public interface EidMerchMapper {

    /**
     * 根据商户号查询商户E证通配置信息
     *
     * @param merchSn
     * @return
     */
    EidMerch selectByMerchSn(String merchSn);

}
