package com.ematou.wxbase;

import cn.hutool.core.util.StrUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.RedisTemplate;

import java.time.Duration;

/**
 * Redis 测试类
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/20 15:35
 */
@SpringBootTest
public class RedisTest {

    @Autowired
    private RedisTemplate<String, Object> redisTemplate;

    @Test
    public void testSet() {
        redisTemplate.opsForValue().set("get_eid_token:merch123:kmall-pt:431422196503217896", "1234556", Duration.ofSeconds(60L));
    }

    @Test
    public void testDelete() {
        redisTemplate.delete("lj_hh");
    }

    @Test
    public void testGet() {
        String o = (String) redisTemplate.opsForValue().get("get_eid_token:merch123:kmall-pt:431422196503217896");
        System.out.println("Redis 取值 => " + o + " 是否为空 =》 " + StrUtil.isNotBlank(o));
    }

}
